/*
    Autor: Paco Castilla
    Blog: Macgrafic.com
    Fecha: Septiembre 2024
    
    Descripción:
    Este script permite eliminar de forma masiva imágenes en Adobe InDesign 
    cuyo nombre contenga una palabra específica introducida por el usuario.
    
    Licencia:
    Este script es de código libre. Puedes usarlo, modificarlo y distribuirlo libremente,
    siempre y cuando se mantenga esta nota de autoría y la declaración de uso libre.
*/

var doc = app.activeDocument;
var searchTerm = prompt("Introduce la palabra a buscar en los nombres de los archivos de imagen:", "");

if (searchTerm !== null && searchTerm !== "") { // Verifica que el usuario haya ingresado algo
    var allGraphics = doc.allGraphics;

    for (var i = allGraphics.length - 1; i >= 0; i--) {
        var graphic = allGraphics[i];
        var link = graphic.itemLink;

        // Verifica si el nombre del archivo contiene la palabra ingresada por el usuario
        if (link.name.toLowerCase().indexOf(searchTerm.toLowerCase()) !== -1) {
            graphic.parent.remove();  // Elimina el marco de la imagen junto con la imagen
        }
    }
} else {
    alert("No se ha ingresado ninguna palabra. El proceso ha sido cancelado.");
}
